> For the complete documentation index, see [llms.txt](https://docs.rocketfuel.inc/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.rocketfuel.inc/developer-guides/api-reference/payins/utility-apis/exchange-payment/payable-amount.md).

# Payable amount

The RKFL provides an API to return the payable amount for the selected cryptocurrency. The cryptocurrency market is volatile and changes frequently. The RKFL backend system calculates the payable amount based on the current cryptocurrency rate.

Merchant websites should call this API whenever a shopper switches between cryptocurrencies. This API also returns a unit rate of the cryptocurrency.

{% hint style="info" %}
The merchant website should never cache the rate of the cryptocurrencies to use in the future because it changes frequently.
{% endhint %}

The below screenshot shows the payable amount in the bold text of "You Pay" and the crypto conversion rate just below.

![](/files/vCRCl709VqHtvLkvTJ4D)

<mark style="color:blue;">`GET`</mark> `/users/payable-amounts?invoice={uuid}&cc={cryptocurrency}`

![](/files/LzLdq4kvD9pupzLBp9ED) The value of "invoice", returns as "uuid" in the "POST /invoices"

![](/files/LzLdq4kvD9pupzLBp9ED) The value of "cryptocurrency" could be "btc/eth/ltc/xrp/etc"

#### Headers

| Name                                            | Type   | Description                     |
| ----------------------------------------------- | ------ | ------------------------------- |
| Authorization<mark style="color:red;">\*</mark> | String | "Bearer" + shopper access token |

{% tabs %}
{% tab title="200: OK Success" %}

```javascript
{
    "ok": true,
    "result": {
        "order_amount": 2,
        "order_currency": "2.00",
        "payable_amount": 31.47376371,
        "payable_currency": "DOGE",
        "conversion_rate_per_unit": "0.06507"
    }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.rocketfuel.inc/developer-guides/api-reference/payins/utility-apis/exchange-payment/payable-amount.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
